package com.ruoyi.ss.userAddress.mapper;

import com.ruoyi.ss.userAddress.domain.UserAddress;

import java.util.List;

/**
 * 用户地址Mapper接口
 *
 * @author qzz
 * @date 2024-11-09
 */
public interface UserAddressMapper
{
    /**
     * 查询用户地址
     *
     * @param id 用户地址主键
     * @return 用户地址
     */
    public UserAddress selectEUserAddressById(Long id);

    /**
     * 查询用户地址列表
     *
     * @param eUserAddress 用户地址
     * @return 用户地址集合
     */
    public List<UserAddress> selectEUserAddressList(UserAddress eUserAddress);

    /**
     * 新增用户地址
     *
     * @param eUserAddress 用户地址
     * @return 结果
     */
    public int insertEUserAddress(UserAddress eUserAddress);

    /**
     * 修改用户地址
     *
     * @param eUserAddress 用户地址
     * @return 结果
     */
    public int updateEUserAddress(UserAddress eUserAddress);

    /**
     * 删除用户地址
     *
     * @param id 用户地址主键
     * @return 结果
     */
    public int deleteEUserAddressById(Long id);

    /**
     * 批量删除用户地址
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEUserAddressByIds(Long[] ids);
}
